// Extrasprites.h
// Contiene sprites extra para el modo de matar enemigos de la churrera
// Slo se incluir (tras los sprites) si se define PLAYER_KILLS_ENEMIES
// Copyleft 2010 The Mojon Twins

// Frames extra por si se pueden eliminar los enemigos:

#if defined(PLAYER_CAN_FIRE) || defined(PLAYER_KILLS_ENEMIES) || defined(ENABLE_PURSUERS)
extern unsigned char sprite_17_a []; 
#endif
extern unsigned char sprite_18_a []; 
#ifdef PLAYER_CAN_FIRE
extern unsigned char sprite_19_a [];
extern unsigned char sprite_19_b [];
#endif

#if defined(PLAYER_CAN_FIRE) || defined(PLAYER_KILLS_ENEMIES) || defined(ENABLE_PURSUERS)
#asm
    ._sprite_17_a
        defb 36, 129
        defb 12, 193
        defb 14, 128
        defb 95, 0
        defb 31, 128
        defb 30, 128
        defb 76, 0
        defb 77, 0
        defb 39, 128
        defb 3, 200
        defb 1, 244
        defb 9, 224
        defb 4, 240
        defb 0, 250
        defb 0, 254
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
 
    ._sprite_17_b
        defb 64, 31
        defb 64, 31
        defb 32, 15
        defb 128, 15
        defb 240, 7
        defb 152, 3
        defb 216, 3
        defb 252, 1
        defb 172, 1
        defb 132, 1
        defb 84, 1
        defb 120, 3
        defb 240, 7
        defb 224, 15
        defb 192, 31
        defb 64, 31
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
 
    ._sprite_17_c
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
#endasm
#endif

#asm
	._sprite_18_a
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		
	._sprite_18_b
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		
	._sprite_18_c
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
#endasm

#ifdef PLAYER_CAN_FIRE
#asm	              	
	._sprite_19_a
		defb 0, 0
		defb 0, 0
		defb 24, 0
		defb 60, 0
		defb 60, 0
		defb 24, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
	
	._sprite_19_b
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
#endasm
#endif
